arts Library: KAudioManagerPlay Class Reference (arts Library)

| # arts Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAudioManagerPlay Class Reference

KDE Wrapper for Arts::Synth_AMAN_PLAY. More...

`#include <kaudiomanagerplay.h>`

List of all members.

## Public Member Functions
| KAudioManagerPlay (KArtsServer *server, const QString &title=QString::null)
Arts::Synth_AMAN_PLAY | amanPlay ()
bool | isNull () const
void | setTitle (const QString &title)
QString | title ()
void | setAutoRestoreID (const QString &autoRestoreID)
QString | autoRestoreID ()
void | start ()
void | stop ()

## Detailed Description

KDE Wrapper for Arts::Synth_AMAN_PLAY.

Use this class to create an entry in the AudioManager - that's the list you see when opening the AudioManager view in artscontrol.

Author:
  Matthias Kretz <kretz@kde.org>

Since:
  3.2

Definition at line 38 of file kaudiomanagerplay.h.

## Member Function Documentation

Arts::Synth_AMAN_PLAY KAudioManagerPlay::amanPlay | ( |  | ) |

| Returns the internal Arts::Synth_AMAN_PLAY. Definition at line 40 of file kaudiomanagerplay.cpp.

bool KAudioManagerPlay::isNull | ( |  | ) | const

| return true if this == 0 or amanPlay().isNull() in essence, ((KDE::PlayObject*)0)->isNull() will not crash Definition at line 45 of file kaudiomanagerplay.cpp.

void KAudioManagerPlay::setTitle | ( | const QString & | title | ) |

| Set the name of the output in the AudioManager. Definition at line 52 of file kaudiomanagerplay.cpp. References QString::local8Bit(), and title().

QString KAudioManagerPlay::title | ( |  | ) |

| returns the name of the output as it appears in the AudioManager Definition at line 57 of file kaudiomanagerplay.cpp. References QString::fromLocal8Bit(). Referenced by setTitle().

The documentation for this class was generated from the following files:

- kaudiomanagerplay.h
- kaudiomanagerplay.cpp

This file is part of the documentation for arts Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:27:57 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003